enum_trailing_params.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/repetition/repeat.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ENUM_TRAILING_PARAMS(count, param) MSGPACK_PP_ENUM_TRAILING_PARAMS_I(count, param)
#define | MSGPACK_PP_ENUM_TRAILING_PARAMS_I(count, param) MSGPACK_PP_REPEAT(count, MSGPACK_PP_ENUM_TRAILING_PARAMS_M, param)
#define | MSGPACK_PP_ENUM_TRAILING_PARAMS_M(z, n, param) , param ## n
#define | MSGPACK_PP_ENUM_TRAILING_PARAMS_Z(z, count, param) MSGPACK_PP_ENUM_TRAILING_PARAMS_Z_I(z, count, param)
#define | MSGPACK_PP_ENUM_TRAILING_PARAMS_Z_I(z, count, param) MSGPACK_PP_REPEAT_ ## z(count, MSGPACK_PP_ENUM_TRAILING_PARAMS_M, param)

## Macro Definition Documentation

## MSGPACK_PP_ENUM_TRAILING_PARAMS

#define MSGPACK_PP_ENUM_TRAILING_PARAMS | ( |  | count,
|  |  | param
| ) |  | MSGPACK_PP_ENUM_TRAILING_PARAMS_I(count, param)

## MSGPACK_PP_ENUM_TRAILING_PARAMS_I

#define MSGPACK_PP_ENUM_TRAILING_PARAMS_I | ( |  | count,
|  |  | param
| ) |  | MSGPACK_PP_REPEAT(count, MSGPACK_PP_ENUM_TRAILING_PARAMS_M, param)

## MSGPACK_PP_ENUM_TRAILING_PARAMS_M

#define MSGPACK_PP_ENUM_TRAILING_PARAMS_M | ( |  | z,
|  |  | n,
|  |  | param
| ) |  | , param ## n

## MSGPACK_PP_ENUM_TRAILING_PARAMS_Z

#define MSGPACK_PP_ENUM_TRAILING_PARAMS_Z | ( |  | z,
|  |  | count,
|  |  | param
| ) |  | MSGPACK_PP_ENUM_TRAILING_PARAMS_Z_I(z, count, param)

## MSGPACK_PP_ENUM_TRAILING_PARAMS_Z_I

#define MSGPACK_PP_ENUM_TRAILING_PARAMS_Z_I | ( |  | z,
|  |  | count,
|  |  | param
| ) |  | MSGPACK_PP_REPEAT_ ## z(count, MSGPACK_PP_ENUM_TRAILING_PARAMS_M, param)